package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;

public class CAssignmentExpr extends CStmt{

    private CLvalue CLvalue;
    private CStmt CStmt;

    private String op;

    public CAssignmentExpr()
    {
        op = null;
        CLvalue = null;
        CStmt = null;
    }

    public CStmt getCStmt() {
        return CStmt;
    }

    public void setCStmt(CStmt CStmt) {
        this.CStmt = CStmt;
    }

    public CLvalue getCLvalue() {
        return CLvalue;
    }

    public void setCLvalue(CLvalue CLvalue) {
        this.CLvalue = CLvalue;
    }
    

    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }
    
}
